Package org.osgi.annotation.bundle

# Annotation Type Referenced

@Documented @Retention(CLASS) @Target({TYPE,PACKAGE}) public @interface Referenced
Mark types as referenced.

A reference can cause the package of a specified type to be imported if the bundle does not contain the package.

This annotation is not retained at runtime. It is for use by tools to generate bundle manifests.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<?>[]`
`value`
A list of referenced classes.

## Element Details

### value

Class<?>[] value
A list of referenced classes.

Specifying a class in this annotation must be treated by tools as if the annotated type has a code reference to the class which may result in an import of the package of the class if the bundle does not contain that package.